<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvVerticalAlignment - Nuiverse UI</title>
  <link rel="stylesheet" href="/build/nuiverse-ui.css">
  <script type="module" src="/build/nuiverse-ui.esm.js"></script>
  <script nomodule src="/build/nuiverse-ui.js"></script>

</head>
<body>
  <div class="demo-component">

    <div class="area-component">
      <h1>Vertical alignment</h1>
      <div>
        <span class="nv-align-baseline">baseline</span>
        <span class="nv-align-top">top</span>
        <span class="nv-align-middle">middle</span>
        <span class="nv-align-bottom">bottom</span>
        <span class="nv-align-text-top">text-top</span>
        <span class="nv-align-text-bottom">text-bottom</span>
      </div>
    </div>

    <div class="area-component">
      <h3>With table cells</h3>
      <table style="height: 100px;">
        <tbody>
          <tr>
            <td class="nv-align-baseline">baseline</td>
            <td class="nv-align-top">top</td>
            <td class="nv-align-middle">middle</td>
            <td class="nv-align-bottom">bottom</td>
            <td class="nv-align-text-top">text-top</td>
            <td class="nv-align-text-bottom">text-bottom</td>
          </tr>
        </tbody>
      </table>
    </div>

  </div>
</body>
</html>
 